# Uses of Interface
org.pentaho.reporting.libraries.formula.lvalues.LValue

Packages that use LValue
Package
Description
org.pentaho.reporting.libraries.formula
org.pentaho.reporting.libraries.formula.function
org.pentaho.reporting.libraries.formula.lvalues
org.pentaho.reporting.libraries.formula.parser
org.pentaho.reporting.libraries.formula.typing
org.pentaho.reporting.libraries.formula.typing.sequence

## Uses of LValue in org.pentaho.reporting.libraries.formula

Methods in org.pentaho.reporting.libraries.formula that return LValue
Modifier and Type
Method
Description
`LValue`
Formula.`getRootReference()`
Returns the root reference for this formula.
Constructors in org.pentaho.reporting.libraries.formula with parameters of type LValue
Modifier
Constructor
Description
``
`Formula(LValue rootReference)`

## Uses of LValue in org.pentaho.reporting.libraries.formula.function

Methods in org.pentaho.reporting.libraries.formula.function that return LValue
Modifier and Type
Method
Description
`LValue`
ParameterCallback.`getRaw(int position)`

## Uses of LValue in org.pentaho.reporting.libraries.formula.lvalues

Subinterfaces of LValue in org.pentaho.reporting.libraries.formula.lvalues
Modifier and Type
Interface
Description
`interface`
`DataTable`
A database is a two dimensional collection of data, arranged in a table.
Classes in org.pentaho.reporting.libraries.formula.lvalues that implement LValue
Modifier and Type
Class
Description
`class`
`AbstractLValue`
Creation-Date: 01.11.2006, 18:19:00
`class`
`ContextLookup`
A reference that queries the datarow.
`class`
`DefaultDataTable`
Creation-Date: 05.11.2006, 13:34:01
`class`
`FormulaFunction`
A function.
`class`
`PostfixTerm`
Creation-Date: 02.11.2006, 10:20:27
`class`
`PrefixTerm`
Creation-Date: 02.11.2006, 10:20:27
`class`
`StaticValue`
Creation-Date: 08.10.2006, 11:34:40
`class`
`Term`
An term is a list of LValues connected by operators.
Methods in org.pentaho.reporting.libraries.formula.lvalues that return LValue
Modifier and Type
Method
Description
`LValue[]`
AbstractLValue.`getChildValues()`
Returns any dependent lvalues (parameters and operands, mostly).
`LValue[]`
DefaultDataTable.`getChildValues()`
Returns any dependent lvalues (parameters and operands, mostly).
`LValue[]`
FormulaFunction.`getChildValues()`
Returns any dependent lvalues (parameters and operands, mostly).
`LValue[]`
LValue.`getChildValues()`
Returns any dependent lvalues (parameters and operands, mostly).
`LValue[]`
PostfixTerm.`getChildValues()`
Returns any dependent lvalues (parameters and operands, mostly).
`LValue[]`
PrefixTerm.`getChildValues()`
Returns any dependent lvalues (parameters and operands, mostly).
`LValue[]`
Term.`getChildValues()`
Returns any dependent lvalues (parameters and operands, mostly).
`LValue`
Term.`getHeadValue()`
`LValue[]`
Term.`getOperands()`
`LValue`
Term.`getOptimizedHeadValue()`
Allows access to the post optimized head value note that without the optimization, it's difficult to traverse libformula's object model.
`LValue`
PostfixTerm.`getValue()`
`LValue`
PrefixTerm.`getValue()`
`LValue`
DataTable.`getValueAt(int row, int column)`
`LValue`
DefaultDataTable.`getValueAt(int row, int column)`
Methods in org.pentaho.reporting.libraries.formula.lvalues with parameters of type LValue
Modifier and Type
Method
Description
`void`
Term.`add(InfixOperator operator, LValue operand)`
`void`
DefaultDataTable.`setObject(int row, int column, LValue object)`
Sets the object for a cell in the table.
Constructors in org.pentaho.reporting.libraries.formula.lvalues with parameters of type LValue
Modifier
Constructor
Description
``
`DefaultDataTable(LValue[][] array)`
``
`FormulaFunction(String functionName, LValue[] parameters)`
``
`FormulaFunction(String functionName, LValue[] parameters, ParsePosition parsePosition)`
``
`PostfixTerm(LValue value, PostfixOperator operator)`
``
`PrefixTerm(PrefixOperator operator, LValue value)`
``
`Term(LValue headValue)`

## Uses of LValue in org.pentaho.reporting.libraries.formula.parser

Methods in org.pentaho.reporting.libraries.formula.parser that return LValue
Modifier and Type
Method
Description
`final LValue`
GeneratedFormulaParser.`getExpression()`
`final LValue`
GeneratedFormulaParser.`getLValue()`
`LValue`
FormulaParser.`parse(String formula)`
`final LValue`
GeneratedFormulaParser.`parseArray()`
`final LValue`
GeneratedFormulaParser.`parseFunction(String name, ParsePosition parsePosition)`
`final LValue[]`
GeneratedFormulaParser.`parseRow()`
Methods in org.pentaho.reporting.libraries.formula.parser with parameters of type LValue
Modifier and Type
Method
Description
`final Term`
GeneratedFormulaParser.`startTail(LValue retval)`

## Uses of LValue in org.pentaho.reporting.libraries.formula.typing

Methods in org.pentaho.reporting.libraries.formula.typing that return LValue
Modifier and Type
Method
Description
`LValue`
ArrayCallback.`getRaw(int row, int column)`
`LValue`
StaticArrayCallback.`getRaw(int row, int column)`
`LValue`
Sequence.`nextRawValue()`

## Uses of LValue in org.pentaho.reporting.libraries.formula.typing.sequence

Methods in org.pentaho.reporting.libraries.formula.typing.sequence that return LValue
Modifier and Type
Method
Description
`LValue`
AnySequence.`nextRawValue()`
Constructors in org.pentaho.reporting.libraries.formula.typing.sequence with parameters of type LValue
Modifier
Constructor
Description
``
`AnyNumberSequence(LValue n, FormulaContext context)`
Number sequence bounded to only one number item.
``
`AnySequence(LValue single, FormulaContext context)`
``
`DefaultNumberSequence(LValue n, FormulaContext context)`
Number sequence bounded to only one number item.